Package com.enonic.xp.attachment

## Class CreateAttachments

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<CreateAttachment>
  - - com.enonic.xp.attachment.CreateAttachments

- All Implemented Interfaces:
    `Iterable<CreateAttachment>`

      @PublicApi
      public final class CreateAttachments
      extends AbstractImmutableEntitySet<CreateAttachment>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CreateAttachments.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CreateAttachments.Builder` | `create()` |
    `static CreateAttachments` | `empty()` |
    `boolean` | `equals​(Object o)` |
    `static CreateAttachments` | `from​(CreateAttachment... contents)` |
    `static CreateAttachments` | `from​(Iterable<? extends CreateAttachment> contents)` |
    `static CreateAttachments` | `from​(Collection<? extends CreateAttachment> contents)` |
    `CreateAttachment` | `getByName​(String name)` | Deprecated.
    `ImmutableList<String>` | `getNames()` | Deprecated.
    `int` | `hashCode()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, first, getSet, getSize, isEmpty, isNotEmpty, iterator, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getNames

          @Deprecated
          public ImmutableList<String> getNames()

      Deprecated.

    - #### getByName

          @Deprecated
          public CreateAttachment getByName​(String name)

      Deprecated.

    - #### empty

          public static CreateAttachments empty()

    - #### from

          public static CreateAttachments from​(CreateAttachment... contents)

    - #### from

          public static CreateAttachments from​(Iterable<? extends CreateAttachment> contents)

    - #### from

          public static CreateAttachments from​(Collection<? extends CreateAttachment> contents)

    - #### create

          public static CreateAttachments.Builder create()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `AbstractImmutableEntitySet<CreateAttachment>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractImmutableEntitySet<CreateAttachment>`